# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "docker-api"
  s.version = "1.10.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Swipely, Inc."]
  s.date = "2014-04-09"
  s.description = "A simple REST client for the Docker Remote API"
  s.email = ["tomhulihan@swipely.com", "bright@swipely.com", "toddlunter@swipely.com"]
  s.files = [".cane", ".gitignore", ".simplecov", ".travis.yml", "Gemfile", "README.md", "Rakefile", "docker-api.gemspec", "lib/docker.rb", "lib/docker/base.rb", "lib/docker/connection.rb", "lib/docker/container.rb", "lib/docker/error.rb", "lib/docker/event.rb", "lib/docker/image.rb", "lib/docker/messages.rb", "lib/docker/rake_task.rb", "lib/docker/util.rb", "lib/docker/version.rb", "spec/docker/connection_spec.rb", "spec/docker/container_spec.rb", "spec/docker/event_spec.rb", "spec/docker/image_spec.rb", "spec/docker/messages_spec.rb", "spec/docker/util_spec.rb", "spec/docker_spec.rb", "spec/fixtures/build_from_dir/Dockerfile", "spec/fixtures/top/Dockerfile", "spec/spec_helper.rb", "spec/support/vcr.rb", "spec/vcr/Docker/_authenticate_/with_valid_credentials/logs_in_and_sets_the_creds.yml", "spec/vcr/Docker/_info/returns_the_info_as_a_Hash.yml", "spec/vcr/Docker/_validate_version/when_nothing_is_raised/validate_version_/.yml", "spec/vcr/Docker/_version/returns_the_version_as_a_Hash.yml", "spec/vcr/Docker_Container/_all/when_the_HTTP_response_is_a_200/materializes_each_Container_into_a_Docker_Container.yml", "spec/vcr/Docker_Container/_attach/with_normal_sized_chunks/yields_each_chunk.yml", "spec/vcr/Docker_Container/_attach/with_very_small_chunks/yields_each_chunk.yml", "spec/vcr/Docker_Container/_changes/returns_the_changes_as_an_array.yml", "spec/vcr/Docker_Container/_commit/creates_a_new_Image_from_the_Container_s_changes.yml", "spec/vcr/Docker_Container/_commit/if_run_is_passed_it_saves_the_command_in_the_image/saves_the_command.yml", "spec/vcr/Docker_Container/_copy/when_the_input_is_a_directory/yields_each_chunk_of_the_tarred_directory.yml", "spec/vcr/Docker_Container/_copy/when_the_input_is_a_file/yields_each_chunk_of_the_tarred_file.yml", "spec/vcr/Docker_Container/_create/when_creating_a_container_named_bob/should_have_name_set_to_bob.yml", "spec/vcr/Docker_Container/_create/when_the_Container_does_not_yet_exist/when_the_HTTP_request_returns_a_200/sets_the_id.yml", "spec/vcr/Docker_Container/_delete/deletes_the_container.yml", "spec/vcr/Docker_Container/_export/yields_each_chunk.yml", "spec/vcr/Docker_Container/_get/when_the_HTTP_response_is_a_200/materializes_the_Container_into_a_Docker_Container.yml", "spec/vcr/Docker_Container/_json/returns_the_description_as_a_Hash.yml", "spec/vcr/Docker_Container/_kill/kills_the_container.yml", "spec/vcr/Docker_Container/_restart/restarts_the_container.yml", "spec/vcr/Docker_Container/_run/when_the_Container_s_command_does_not_return_status_code_of_0/raises_an_error.yml", "spec/vcr/Docker_Container/_run/when_the_Container_s_command_returns_a_status_code_of_0/creates_a_new_container_to_run_the_specified_command.yml", "spec/vcr/Docker_Container/_start/starts_the_container.yml", "spec/vcr/Docker_Container/_stop/stops_the_container.yml", "spec/vcr/Docker_Container/_top/returns_the_top_commands_as_an_Array.yml", "spec/vcr/Docker_Container/_wait/waits_for_the_command_to_finish.yml", "spec/vcr/Docker_Container/_wait/when_an_argument_is_given/and_a_command_runs_for_too_long/raises_a_ServerError.yml", "spec/vcr/Docker_Container/_wait/when_an_argument_is_given/sets_the_read_timeout_to_that_amount_of_time.yml", "spec/vcr/Docker_Image/_all/materializes_each_Image_into_a_Docker_Image.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/with_a_block_capturing_build_output/calls_the_block_and_passes_build_output.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/with_specifying_a_repo_in_the_query_parameters/builds_an_image_and_tags_it.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/without_query_parameters/builds_an_image.yml", "spec/vcr/Docker_Image/_build/with_an_invalid_Dockerfile/throws_a_UnexpectedResponseError.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_a_block_capturing_build_output/calls_the_block_and_passes_build_output.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_no_query_parameters/builds_the_image.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_specifying_a_repo_in_the_query_parameters/builds_the_image_and_tags_it.yml", "spec/vcr/Docker_Image/_create/when_the_Image_does_not_yet_exist_and_the_body_is_a_Hash/sets_the_id_and_sends_Docker_creds.yml", "spec/vcr/Docker_Image/_get/when_the_image_does_exist/returns_the_new_image.yml", "spec/vcr/Docker_Image/_history/returns_the_history_of_the_Image.yml", "spec/vcr/Docker_Image/_import/when_the_argument_is_a_URI/when_the_URI_is_invalid/raises_an_error.yml", "spec/vcr/Docker_Image/_import/when_the_argument_is_a_URI/when_the_URI_is_valid/returns_an_Image.yml", "spec/vcr/Docker_Image/_import/when_the_file_does_exist/creates_the_Image.yml", "spec/vcr/Docker_Image/_insert/inserts_the_url_s_file_into_a_new_Image.yml", "spec/vcr/Docker_Image/_insert_local/when_a_direcory_is_passed/inserts_the_directory.yml", "spec/vcr/Docker_Image/_insert_local/when_removing_intermediate_containers/creates_a_new_image.yml", "spec/vcr/Docker_Image/_insert_local/when_removing_intermediate_containers/leave_no_intermediate_containers.yml", "spec/vcr/Docker_Image/_insert_local/when_the_local_file_does_exist/creates_a_new_Image_that_has_that_file.yml", "spec/vcr/Docker_Image/_insert_local/when_the_local_file_does_not_exist/raises_an_error.yml", "spec/vcr/Docker_Image/_insert_local/when_there_are_multiple_files_passed/creates_a_new_Image_that_has_each_file.yml", "spec/vcr/Docker_Image/_json/returns_additional_information_about_image_image.yml", "spec/vcr/Docker_Image/_push/pushes_the_Image.yml", "spec/vcr/Docker_Image/_push/when_there_are_no_credentials/still_pushes.yml", "spec/vcr/Docker_Image/_refresh_/updates_the_info_hash.yml", "spec/vcr/Docker_Image/_remove/removes_the_Image.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_a_String/splits_the_String_by_spaces_and_creates_a_new_Container.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_an_Array/creates_a_new_Container.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_nil/no_command_configured_in_image/should_raise_an_error_if_no_command_is_specified.yml", "spec/vcr/Docker_Image/_search/materializes_each_Image_into_a_Docker_Image.yml", "spec/vcr/Docker_Image/_tag/tags_the_image_with_the_repo_name.yml"]
  s.homepage = "https://github.com/swipely/docker-api"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "A simple REST client for the Docker Remote API"
  s.test_files = ["spec/docker/connection_spec.rb", "spec/docker/container_spec.rb", "spec/docker/event_spec.rb", "spec/docker/image_spec.rb", "spec/docker/messages_spec.rb", "spec/docker/util_spec.rb", "spec/docker_spec.rb", "spec/fixtures/build_from_dir/Dockerfile", "spec/fixtures/top/Dockerfile", "spec/spec_helper.rb", "spec/support/vcr.rb", "spec/vcr/Docker/_authenticate_/with_valid_credentials/logs_in_and_sets_the_creds.yml", "spec/vcr/Docker/_info/returns_the_info_as_a_Hash.yml", "spec/vcr/Docker/_validate_version/when_nothing_is_raised/validate_version_/.yml", "spec/vcr/Docker/_version/returns_the_version_as_a_Hash.yml", "spec/vcr/Docker_Container/_all/when_the_HTTP_response_is_a_200/materializes_each_Container_into_a_Docker_Container.yml", "spec/vcr/Docker_Container/_attach/with_normal_sized_chunks/yields_each_chunk.yml", "spec/vcr/Docker_Container/_attach/with_very_small_chunks/yields_each_chunk.yml", "spec/vcr/Docker_Container/_changes/returns_the_changes_as_an_array.yml", "spec/vcr/Docker_Container/_commit/creates_a_new_Image_from_the_Container_s_changes.yml", "spec/vcr/Docker_Container/_commit/if_run_is_passed_it_saves_the_command_in_the_image/saves_the_command.yml", "spec/vcr/Docker_Container/_copy/when_the_input_is_a_directory/yields_each_chunk_of_the_tarred_directory.yml", "spec/vcr/Docker_Container/_copy/when_the_input_is_a_file/yields_each_chunk_of_the_tarred_file.yml", "spec/vcr/Docker_Container/_create/when_creating_a_container_named_bob/should_have_name_set_to_bob.yml", "spec/vcr/Docker_Container/_create/when_the_Container_does_not_yet_exist/when_the_HTTP_request_returns_a_200/sets_the_id.yml", "spec/vcr/Docker_Container/_delete/deletes_the_container.yml", "spec/vcr/Docker_Container/_export/yields_each_chunk.yml", "spec/vcr/Docker_Container/_get/when_the_HTTP_response_is_a_200/materializes_the_Container_into_a_Docker_Container.yml", "spec/vcr/Docker_Container/_json/returns_the_description_as_a_Hash.yml", "spec/vcr/Docker_Container/_kill/kills_the_container.yml", "spec/vcr/Docker_Container/_restart/restarts_the_container.yml", "spec/vcr/Docker_Container/_run/when_the_Container_s_command_does_not_return_status_code_of_0/raises_an_error.yml", "spec/vcr/Docker_Container/_run/when_the_Container_s_command_returns_a_status_code_of_0/creates_a_new_container_to_run_the_specified_command.yml", "spec/vcr/Docker_Container/_start/starts_the_container.yml", "spec/vcr/Docker_Container/_stop/stops_the_container.yml", "spec/vcr/Docker_Container/_top/returns_the_top_commands_as_an_Array.yml", "spec/vcr/Docker_Container/_wait/waits_for_the_command_to_finish.yml", "spec/vcr/Docker_Container/_wait/when_an_argument_is_given/and_a_command_runs_for_too_long/raises_a_ServerError.yml", "spec/vcr/Docker_Container/_wait/when_an_argument_is_given/sets_the_read_timeout_to_that_amount_of_time.yml", "spec/vcr/Docker_Image/_all/materializes_each_Image_into_a_Docker_Image.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/with_a_block_capturing_build_output/calls_the_block_and_passes_build_output.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/with_specifying_a_repo_in_the_query_parameters/builds_an_image_and_tags_it.yml", "spec/vcr/Docker_Image/_build/with_a_valid_Dockerfile/without_query_parameters/builds_an_image.yml", "spec/vcr/Docker_Image/_build/with_an_invalid_Dockerfile/throws_a_UnexpectedResponseError.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_a_block_capturing_build_output/calls_the_block_and_passes_build_output.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_no_query_parameters/builds_the_image.yml", "spec/vcr/Docker_Image/_build_from_dir/with_a_valid_Dockerfile/with_specifying_a_repo_in_the_query_parameters/builds_the_image_and_tags_it.yml", "spec/vcr/Docker_Image/_create/when_the_Image_does_not_yet_exist_and_the_body_is_a_Hash/sets_the_id_and_sends_Docker_creds.yml", "spec/vcr/Docker_Image/_get/when_the_image_does_exist/returns_the_new_image.yml", "spec/vcr/Docker_Image/_history/returns_the_history_of_the_Image.yml", "spec/vcr/Docker_Image/_import/when_the_argument_is_a_URI/when_the_URI_is_invalid/raises_an_error.yml", "spec/vcr/Docker_Image/_import/when_the_argument_is_a_URI/when_the_URI_is_valid/returns_an_Image.yml", "spec/vcr/Docker_Image/_import/when_the_file_does_exist/creates_the_Image.yml", "spec/vcr/Docker_Image/_insert/inserts_the_url_s_file_into_a_new_Image.yml", "spec/vcr/Docker_Image/_insert_local/when_a_direcory_is_passed/inserts_the_directory.yml", "spec/vcr/Docker_Image/_insert_local/when_removing_intermediate_containers/creates_a_new_image.yml", "spec/vcr/Docker_Image/_insert_local/when_removing_intermediate_containers/leave_no_intermediate_containers.yml", "spec/vcr/Docker_Image/_insert_local/when_the_local_file_does_exist/creates_a_new_Image_that_has_that_file.yml", "spec/vcr/Docker_Image/_insert_local/when_the_local_file_does_not_exist/raises_an_error.yml", "spec/vcr/Docker_Image/_insert_local/when_there_are_multiple_files_passed/creates_a_new_Image_that_has_each_file.yml", "spec/vcr/Docker_Image/_json/returns_additional_information_about_image_image.yml", "spec/vcr/Docker_Image/_push/pushes_the_Image.yml", "spec/vcr/Docker_Image/_push/when_there_are_no_credentials/still_pushes.yml", "spec/vcr/Docker_Image/_refresh_/updates_the_info_hash.yml", "spec/vcr/Docker_Image/_remove/removes_the_Image.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_a_String/splits_the_String_by_spaces_and_creates_a_new_Container.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_an_Array/creates_a_new_Container.yml", "spec/vcr/Docker_Image/_run/when_the_argument_is_nil/no_command_configured_in_image/should_raise_an_error_if_no_command_is_specified.yml", "spec/vcr/Docker_Image/_search/materializes_each_Image_into_a_Docker_Image.yml", "spec/vcr/Docker_Image/_tag/tags_the_image_with_the_repo_name.yml"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<excon>, [">= 0.28"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_runtime_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<cane>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<vcr>, [">= 2.7.0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<webmock>, [">= 0"])
    else
      s.add_dependency(%q<excon>, [">= 0.28"])
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<cane>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<vcr>, [">= 2.7.0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<webmock>, [">= 0"])
    end
  else
    s.add_dependency(%q<excon>, [">= 0.28"])
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<cane>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<vcr>, [">= 2.7.0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<webmock>, [">= 0"])
  end
end
